/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package kr.co.kihyun.service.vo;

import java.util.Date;

/**
 *
 * @author KWON,HAN
 */
public class FormVO {
    private Long id;                  //집계문서 ID   
    private String mngCode;           //문서관리 번호  
    private String ownerEmail;        //집계자 E-mail 주소
    private String ownerName;         //집계자 성명 
    private String ownerPhone;        //집계자 전화번호      
    private Integer accAuth;          //열람 권한
    private Integer appendType;       //복사양식형태   
    private String autoRtnYn;         //자동회수 여부(Y/N)
    private Date endDate;             //집계 종료일    
    private String execCode;          //시행번호  
    private Long group;              //서식종류 구분
    private Integer fixNum;           //순번
    private String handyName;         //핸디 이름
    private String delType;           //삭제 유형(Y/N)
    private String userId;            //사용자 ID  
//    private String userName;          //사용자명
    private String deptId;            //부서 ID     
    private String deptName;          //부서명
    private String name;              //입력 자료명  
    private String periodicalDocYn;   //정기집계여부(기본값:N.수시집계)
    private Date regDate;             //등록일
    private Date startDate;           //시작일    
    private Integer totRange;         //서식공유범위
    private Integer groupId;          //서식종류 구분ID
    private Long rowNo;                   //레코드행번호
    
    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getMngCode() {
        return mngCode;
    }

    public void setMngCode(String mngCode) {
        this.mngCode = mngCode;
    }

    public String getOwnerEmail() {
        return ownerEmail;
    }

    public void setOwnerEmail(String ownerEmail) {
        this.ownerEmail = ownerEmail;
    }

    public String getOwnerName() {
        return ownerName;
    }

    public void setOwnerName(String ownerName) {
        this.ownerName = ownerName;
    }

    public String getOwnerPhone() {
        return ownerPhone;
    }

    public void setOwnerPhone(String ownerPhone) {
        this.ownerPhone = ownerPhone;
    }

    public Integer getAccAuth() {
        return accAuth;
    }

    public void setAccAuth(Integer accAuth) {
        this.accAuth = accAuth;
    }

    public Integer getAppendType() {
        return appendType;
    }

    public void setAppendType(Integer appendType) {
        this.appendType = appendType;
    }

    public String getAutoRtnYn() {
        return autoRtnYn;
    }

    public void setAutoRtnYn(String autoRtnYn) {
        this.autoRtnYn = autoRtnYn;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public String getExecCode() {
        return execCode;
    }

    public void setExecCode(String execCode) {
        this.execCode = execCode;
    }

    public Long getGroup() {
        return group;
    }

    public void setGroup(Long group) {
        this.group = group;
    }

    public Integer getFixNum() {
        return fixNum;
    }

    public void setFixNum(Integer fixNum) {
        this.fixNum = fixNum;
    }

    public String getHandyName() {
        return handyName;
    }

    public void setHandyName(String handyName) {
        this.handyName = handyName;
    }

    public String getDelType() {
        return delType;
    }

    public void setDelType(String delType) {
        this.delType = delType;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

//    public String getUserName() {
//        return userName;
//    }
//
//    public void setUserName(String userName) {
//        this.userName = userName;
//    }

    public String getDeptId() {
        return deptId;
    }

    public void setDeptId(String deptId) {
        this.deptId = deptId;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPeriodicalDocYn() {
        return periodicalDocYn;
    }

    public void setPeriodicalDocYn(String periodicalDocYn) {
        this.periodicalDocYn = periodicalDocYn;
    }

    public Date getRegDate() {
        return regDate;
    }

    public void setRegDate(Date regDate) {
        this.regDate = regDate;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Integer getTotRange() {
        return totRange;
    }

    public void setTotRange(Integer totRange) {
        this.totRange = totRange;
    }

    public Integer getGroupId() {
        return groupId;
    }

    public void setGroupId(Integer groupId) {
        this.groupId = groupId;
    }
    
    public Long getRowNo() {
        return rowNo;
    }

    public void setRowNo(Long rowNo) {
        this.rowNo = rowNo;
    }    
}
